Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  object ScalaDoc extends ScalaDoc
  Definition Classes
    nsc
- Command

c

scala.tools.nsc.ScalaDoc

# Command

###

#### class Command extends CompilerCommand

Source
  ScalaDoc.scala

Linear Supertypes
CompilerCommand, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Command
2. CompilerCommand
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Command(arguments: List[String], settings: doc.Settings)

### Type Members

1.  type Setting = Settings.Setting
   Definition Classes
     CompilerCommand

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Command toany2stringadd[Command] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Command, B)
   Implicit
     This member is added by an implicit conversion from Command toArrowAssoc[Command] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def cmdDesc: String

   A descriptive alias for version and help messages.

   A descriptive alias for version and help messages.

   Definition Classes
     CompilerCommand
9.  def cmdName: String

   The name of the command.

   The name of the command.

   Definition Classes
     Command → CompilerCommand
10.  def createUsageMsg(label: String, explain: Boolean = true)(cond: (Setting) => Boolean): String
    Definition Classes
      CompilerCommand
11.  def ensuring(cond: (Command) => Boolean, msg: => Any): Command
    Implicit
      This member is added by an implicit conversion from Command toEnsuring[Command] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: (Command) => Boolean): Command
    Implicit
      This member is added by an implicit conversion from Command toEnsuring[Command] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean, msg: => Any): Command
    Implicit
      This member is added by an implicit conversion from Command toEnsuring[Command] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean): Command
    Implicit
      This member is added by an implicit conversion from Command toEnsuring[Command] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
17.  def expandArg(arg: String): List[String]

    Expands all arguments starting with @ to the contents of the file named like each argument.

    Expands all arguments starting with @ to the contents of the file named like each argument.

    Definition Classes
      CompilerCommand
18.  def files: List[String]
    Definition Classes
      CompilerCommand
19.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
20.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Command toStringFormat[Command] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
21.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  def getInfoMessage(global: Global): String
    Definition Classes
      CompilerCommand
23.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
24.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
25.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
27.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
28.  def ok: Boolean
    Definition Classes
      CompilerCommand
29.  def optionsMessage(cond: (Setting) => Boolean): String

    Creates a help message for a subset of options based on cond

    Creates a help message for a subset of options based on cond

    Definition Classes
      CompilerCommand
30.  def processArguments: (Boolean, List[String])
    Definition Classes
      CompilerCommand
31.  val settings: Settings
    Definition Classes
      CompilerCommand
32.  def shortUsage: String
    Definition Classes
      CompilerCommand
33.  def shouldProcessArguments: Boolean
    Definition Classes
      CompilerCommand
34.  def shouldStopWithInfo: Boolean

    For info settings, compiler should just print a message and quit.

    For info settings, compiler should just print a message and quit.

    Definition Classes
      CompilerCommand
35.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
36.  def toString(): String
    Definition Classes
      AnyRef → Any
37.  def usageMsg: String

    Messages explaining usage and options

    Messages explaining usage and options

    Definition Classes
      Command → CompilerCommand
38.  def vusageMsg: String
    Definition Classes
      CompilerCommand
39.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
40.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
41.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
42.  def wusageMsg: String
    Definition Classes
      CompilerCommand
43.  def xusageMsg: String
    Definition Classes
      CompilerCommand
44.  def yusageMsg: String
    Definition Classes
      CompilerCommand

### Deprecated Value Members

1.  def →[B](y: B): (Command, B)
   Implicit
     This member is added by an implicit conversion from Command toArrowAssoc[Command] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from CompilerCommand

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromCommand to any2stringadd[Command]

### Inherited by implicit conversion StringFormat fromCommand to StringFormat[Command]

### Inherited by implicit conversion Ensuring fromCommand to Ensuring[Command]

### Inherited by implicit conversion ArrowAssoc fromCommand to ArrowAssoc[Command]

### Ungrouped